# 《HelloGitHub》第 01 期
>兴趣是最好的老师，**HelloGitHub** 就是帮你找到兴趣！

![](https://raw.githubusercontent.com/521xueweihan/img/master/hellogithub/01/img/hello-github.jpg)

## 简介
分享 GitHub 上有趣、入门级的开源项目。

这是一个面向**编程新手**、**热爱编程**、**对开源社区感兴趣** 人群的月刊，月刊的内容包括：**各种编程语言的项目**、**让生活变得更美好的工具**、**书籍、学习笔记、教程等**，这些开源项目大多都是非常容易上手，而且非常 Cool。主要是希望大家能动手用起来，加入到**开源社区**中。
- 会编程的可以贡献代码
- 不会编程的可以反馈使用这些工具中的 Bug
- 帮着宣传你觉得优秀的项目
- Star 项目⭐️

在浏览、参与这些项目的过程中，你将学习到**更多编程知识**、**提高编程技巧**、**找到编程的乐趣**。

🎉 最后 [HelloGitHub](https://hellogithub.com) 这个项目就诞生了 🎉

---
> **以下为本期内容**｜每个月 **28** 号发布最新一期｜[点击查看往期内容](https://github.com/521xueweihan/HelloGitHub#内容)

#### CSS 项目
1、[typo.css](https://github.com/sofish/typo.css)：中文网页重设与排版，为了一致化浏览器排版效果，构建最适合中文阅读的网页排版。包括桌面和移动平台，[预览](http://typo.sofi.sh/)

#### JavaScript 项目
2、[ant-design](https://github.com/ant-design/ant-design)：阿里开源的一套企业级的 UI 设计语言和 React 实现。[中文文档](https://ant.design/docs/react/introduce-cn)，样式偏向于后端，展示效果十分漂亮

3、[VeryNginx](https://github.com/alexazhou/VeryNginx)：一个功能强大而对人类友好的 Nginx 扩展程序。[VeryNginx 文档](https://github.com/alexazhou/VeryNginx/blob/master/readme_zh.md)


![](https://raw.githubusercontent.com/521xueweihan/img/master/hellogithub/01/img/VeryNginx-min.jpeg)

4、[activate-power-mode](https://github.com/disjukr/activate-power-mode)：爆炸输入效果，[在线演示](http://0xabcdef.com/activate-power-mode/)


![](https://raw.githubusercontent.com/521xueweihan/img/master/hellogithub/01/img/activate-power-mode.gif)

#### Python 项目
5、[awesome-python-webapp](https://github.com/michaelliao/awesome-python-webapp)：廖老师的 Python 入门教程中的实践项目的代码，[教程在线阅读](http://www.liaoxuefeng.com/wiki/001374738125095c955c1e6d8bb493182103fac9270762a000/001397616003925a3d157284cd24bc0952d6c4a7c9d8c55000)

6、[Minos](https://github.com/phith0n/Minos)：一个基于 Tornado/MongoDB/Redis 的社区系统

7、[tushare](https://github.com/waditu/tushare)：TuShare 是一个免费、开源的 Python 财经数据接口包，[TuShare 文档](http://tushare.org/index.html)


![](https://raw.githubusercontent.com/521xueweihan/img/master/hellogithub/01/img/TuShare-min.png)

8、[beijing_bus](https://github.com/wong2/beijing_bus)：北京实时公交，可以显示查询的公交到达某站还需多久


![](https://raw.githubusercontent.com/521xueweihan/img/master/hellogithub/01/img/%E5%8C%97%E4%BA%AC%E5%AE%9E%E6%97%B6%E5%85%AC%E4%BA%A4.gif)

#### 其它
9、[archey-osx](https://github.com/obihann/archey-osx)：命令行中显示 Mac OS X 计算机的基本信息


![](https://raw.githubusercontent.com/521xueweihan/img/master/hellogithub/01/img/Archey%20for%20OS%20X-min.png)

10、[Learning-SICP](https://github.com/DeathKing/Learning-SICP)：《计算机程序的构造和解释》公开课

11、[awesome-python-cn](https://github.com/jobbole/awesome-python-cn)：awesome-python 中文版

#### 开源书籍
12、[interpy-zh](https://github.com/eastlakeside/interpy-zh)：《Python 进阶中文版》，[在线阅读](https://eastlakeside.gitbooks.io/interpy-zh/content/)

13、[python3-cookbook](https://github.com/yidao620c/python3-cookbook)：《Python Cookbook 3rd 中文版》，[在线阅读](http://python3-cookbook.readthedocs.org/zh_CN/latest/)

14、[Python-Guide-CN](https://github.com/Prodesire/Python-Guide-CN)：《Python 最佳实践指南中文版》，[在线阅读](http://pythonguidecn.readthedocs.io/zh/latest/)

15、[design_patterns](https://github.com/me115/design_patterns)：《图说设计模式》，[在线阅读](https://design-patterns.readthedocs.io/zh_CN/latest/index.html#)

16、[linuxtools_rst](https://github.com/me115/linuxtools_rst)：《Linux 工具快速教程》，[在线阅读](http://linuxtools-rst.readthedocs.io/zh_CN/latest/)

17、[the_new_world_linux](https://github.com/yangyangwithgnu/the_new_world_linux)：《Linux 下的惬意生活》，[在线阅读](https://github.com/yangyangwithgnu/the_new_world_linux#目录)



---

## 换种方式阅读
- **网站：** https://hellogithub.com
- **GitBook：** https://gitbook.hellogithub.com

## 声明
如果你发现了好玩、有意义的开源项目 [点击这里](https://github.com/521xueweihan/HelloGitHub/issues/new) 分享你觉得有意思的项目。

**欢迎转载，请注明出处和作者，同时保留声明。**
